# TODO
# - make this primary db of blacklist db (merge kmod/module-init-tools) ?
# - merge (switch?) with http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/sys-apps/hwids ?
#   their db contains also OUI, IAB IDs databases: https://github.com/gentoo/hwids
# - enable .gz if lshw has .gz support
# - package Individual Address Blocks file (iab.txt)?
# NOTE: pnp.ids in pnputils package differ from that in hwdata
# (hwdata pnp.ids contain only vendor IDs, pnputils pnp.ids contains only
#  device IDs of (some) PNPACPI, PNPBIOS and ISAPNP devices)
# - update to use oui.txt from this package:
#   - hwdata-0.225-0.20090808.1.noarch
#   - lshw-B.02.14-1.i686
#   - python-netaddr-0.7.3-1.noarch
Summary:	Hardware identification and configuration data
Summary(pl.UTF-8):	Dane do identyfikacji i konfiguracji sprzętu
Name:		hwdata
# see hwdata.spec inside of tarball
Version:	0.271
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	https://fedorahosted.org/releases/h/w/hwdata/%{name}-%{version}.tar.bz2
# Source0-md5:	4511e5c106889f390f18cf33149b9d70
Obsoletes:	ieee-oui
Conflicts:	Xconfigurator < 4.9.42-1
Conflicts:	ntop < 4.1.0-2
Conflicts:	pciutils < 3.1.10-6
Conflicts:	usbutils < 006-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	/lib
%define		modprobe_d	/usr/lib/modprobe.d

%description
hwdata contains various hardware identification and configuration
data, such as pci.ids, usb.ids, oui.txt and pnp.ids (vendor IDs)
databases.

%description -l pl.UTF-8
Pakiet hwdata zawiera różne dane do identyfikacji i konfiguracji
sprzętu, takie jak bazy danych pci.ids, usb.ids, oui.txt i pnp.ids.

%prep
%setup -q

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	libdir=%{_prefix}/lib \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{modprobe_d}/dist-blacklist.conf

%if 0
gzip -n9 $RPM_BUILD_ROOT%{_datadir}/%{name}/pci.ids
gzip -n9 $RPM_BUILD_ROOT%{_datadir}/%{name}/usb.ids
gzip -n9 $RPM_BUILD_ROOT%{_datadir}/%{name}/oui.txt
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/iab.txt*
%{_datadir}/%{name}/oui.txt*
%{_datadir}/%{name}/pci.ids*
%{_datadir}/%{name}/pnp.ids
%{_datadir}/%{name}/usb.ids*
%changelog
* Thu Nov 13 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hwdata.git;a=log;h=master

* Thu Nov 13 2014 Jakub Bogusz <qboosh@pld-linux.org> c5b7d0d
- updated to 0.271

* Fri Sep 19 2014 Jakub Bogusz <qboosh@pld-linux.org> ba72a65
- updated to 0.270

* Wed Sep 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 4bdeb55
- updated to 0.269

* Sat Aug 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 41e2654
- updated to 0.268

* Wed Jun 18 2014 Jakub Bogusz <qboosh@pld-linux.org> f245833
- updated to 0.267

* Thu May 29 2014 Jakub Bogusz <qboosh@pld-linux.org> bd68c8d
- updated to 0.266

* Sat Apr 12 2014 Jakub Bogusz <qboosh@pld-linux.org> 42f329b
- package iab.txt

* Mon Mar 24 2014 Elan Ruusamäe <glen@delfi.ee> 84c4b68
- up to 0.263; updated pciids (2014-03-17), oui databases

* Mon Mar 03 2014 Jan Rękorajski <baggins@pld-linux.org> 6ea5b8d
- rel 2

* Sat Mar 01 2014 Elan Ruusamäe <glen@delfi.ee> 763acc2
- they messed up libdir; fix that

* Fri Feb 28 2014 Jakub Bogusz <qboosh@pld-linux.org> f413444
- updated to 0.261

* Tue Jan 21 2014 Elan Ruusamäe <glen@delfi.ee> c0b6979
- up to .260

* Sun Dec 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 1a0c1ff
- updated to 0.258

* Thu Oct 31 2013 Jakub Bogusz <qboosh@pld-linux.org> d66a799
- updated to 0.257 (vendor, pci, usb update)

* Mon Oct 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 00accd7
- updated to 0.256 (updated oui, pci, usb)

* Tue Aug 27 2013 Elan Ruusamäe <glen@delfi.ee> aa8ce11
- up to .255: Update of pci (2013-08-20), oui and usb ids (2013-08-19).

* Sun Aug 18 2013 Elan Ruusamäe <glen@delfi.ee> 79f32d5
- up to 0.254. updates oui, pci.ids (2013.07.26)

* Tue Jul 23 2013 Jakub Bogusz <qboosh@pld-linux.org> bc9108c
- updated to 0.251

* Wed Jul 10 2013 Elan Ruusamäe <glen@delfi.ee> 45c18f2
- up to 0.250; updates oui, pnp.ids, pci.ids (2013.07.04), usb.ids (2013.05.24)

* Thu May 16 2013 Elan Ruusamäe <glen@delfi.ee> ce93019
- up to 0.249. updated oui.txt, pci.ids (2013.05.14)

